?

Log in

compile failer - ljupdate
January 22nd, 2008
05:30 am
[xah_lee]

[Link]

Previous Entry Share Next Entry
compile failer
am trying to install ljupdate.

in the compliation step, i get:

xahg5:~/Documents/emacs/ljupdate xah$ make
Cannot open load file: /Applications/Emacs.app/Contents/MacOS/libexec/fns-21.2.1.el
Perhaps you should specifcy LOAD_PATH to make? (e.g. "gmake LOAD_PATH=~/elisp".)
Please see README for compilation instructions.
make: *** [lj-acct.elc] Error 1
xahg5:~/Documents/emacs/ljupdate xah$

what do i need to do to fix it? i tried "make LOAD_PATH=~/..." on the shell but same error.

Was wondering why using “make” is necessary. If the job is just to compile those lisp files, why not put a lisp expression in the compile section and tell reader to select the region and run Alt+x eval-region?

(3 comments | Leave a comment)

Comments
 
[User Picture]
From:xah_lee
Date:January 22nd, 2008 02:00 pm (UTC)
(Link)
Woot! lj-update is so great! Thanks Edward O'Connor!
[User Picture]
From:xah_lee
Date:January 22nd, 2008 02:01 pm (UTC)
(Link)
now i just need to get blogger upload working...
[User Picture]
From:viktor_haag
Date:March 7th, 2008 11:22 pm (UTC)
(Link)
Here's what I did, and I'm sure you've already done this:
- make fetch to get the html-foo el files
- make EMACS=/Applications/Emacs.app/Contents/MacOS/Emacs

This worked fine. (Well, not entirely fine; I still had to separately byte-compile the html-foo files, but that was not hard.)

ljupdate home page Powered by LiveJournal.com